#You will want to change builtin_release_version,builtin_release_name,builtin_release_variant,builtin_release_codename,builtin_release_shortname for your release 
%define builtin_release_version 3.0.4
%define builtin_baserelease_name "Scientific Linux" 
%define builtin_release_name "Scientific Linux" 
%define builtin_release_variant SL 
#builtin_release_codename is the name that you will see in the () when you login
%define builtin_release_codename example
#builtin_release_shortname is the name of the rpm like shortname-release 
%define builtin_release_shortname example 
#builtin_release_tarname is the name of the tar file in SOURCES tarname-
#This was done so that you do not have to rename the tar file 
%define builtin_release_tarname generic 
%define release_version %{builtin_release_version}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
Summary: %{builtin_release_name} release file
Name: %{builtin_release_shortname}-release
Version: %{real_release_version}
Release: 7.4
Epoch: 10
Copyright: GPL
Group: System Environment/Base
Source: %{builtin_release_tarname}-release-%{builtin_release_variant}-%{builtin_release_version}.tar.gz
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de hepl-release sl-release zz_fermi-release
BuildRoot: %{_tmppath}/redhat-release-root
BuildArchitectures: noarch

%description
%{builtin_release_name} release file

%prep
%setup -q -n %{builtin_release_tarname}-release-%{builtin_release_variant}-%{builtin_release_version}

%%build 
#python -c "import py_compile; py_compile.compile('eula.py')"

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{builtin_baserelease_name} Release %{release_version} (%{builtin_release_codename})" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

mkdir -p $RPM_BUILD_ROOT/var/lib
cp supportinfo $RPM_BUILD_ROOT/var/lib

mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
#cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

#mkdir -p $RPM_BUILD_ROOT/usr/share/eula
#cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%doc R*
%doc GPL autorun-template
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
/var/lib/supportinfo
#/usr/share/firstboot/modules/eula.py*
#/usr/share/eula/eula.*
